Package org.gradle.api.attributes

## Interface CompatibilityCheckDetails<T>

- Type Parameters:
    `T` - the concrete type of the attribute

      public interface CompatibilityCheckDetails<T>

  Provides context about attribute compatibility checks, and allows the user to define when an attribute is compatible with another.

  A compatibility check will never be performed when the consumer and producer values are equal.

  Since:
    3.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `compatible()` | Calling this method will indicate that the attributes are compatible.
    `T` | `getConsumerValue()` | The value of the attribute as found on the consumer side.
    `T` | `getProducerValue()` | The value of the attribute as found on the producer side.
    `void` | `incompatible()` | Calling this method will indicate that the attributes are incompatible.

- - ### Method Detail

    - #### getConsumerValue

          @Nullable
          T getConsumerValue()

      The value of the attribute as found on the consumer side.

      Never equal to the `getProducerValue()`.

      Returns:
        the value from the consumer

    - #### getProducerValue

          @Nullable
          T getProducerValue()

      The value of the attribute as found on the producer side.

      Never equal to the `getConsumerValue()`.

      Returns:
        the value from the producer

    - #### compatible

          void compatible()

      Calling this method will indicate that the attributes are compatible.

    - #### incompatible

          void incompatible()

      Calling this method will indicate that the attributes are incompatible.